<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/AccessoryMotorTwoWays.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('AccessoryMotorTwoWays_8hpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AccessoryMotorTwoWays.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __accessoryMotorTwoWays_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __accessoryMotorTwoWays_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;AccessoryMotor.hpp&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef NO_MOTOR</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef NO_MOTORTWOWAYS</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="classAccessoryMotorTwoWays.html">   12</a></span>&#160;<span class="keyword">class </span><a class="code" href="classAccessoryMotorTwoWays.html">AccessoryMotorTwoWays</a> : <span class="keyword">public</span> <a class="code" href="classAccessoryMotor.html">AccessoryMotor</a></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;{</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classAccessoryMotorTwoWays.html#a2802d3af6a0c62bc6bac4864e569185d">   16</a></span>&#160;        <span class="keyword">inline</span> <a class="code" href="classAccessoryMotorTwoWays.html#a2802d3af6a0c62bc6bac4864e569185d">AccessoryMotorTwoWays</a>() {}</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryMotorTwoWays.html#a648884730c77592674b704e9864d77b0">beginTwoWays</a>(<a class="code" href="classPort.html">Port</a> *inpPort, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inIdRight, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inIdLeft, <span class="keywordtype">int</span> inSpeed, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDurationMilli = 0);</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        ACC_STATE <a class="code" href="classAccessoryMotorTwoWays.html#aa5e9ffb5bd1d4c97bc0192c229a70df3">MoveToggle</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0, <span class="keywordtype">int</span> inSpeed = 0);</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        <span class="keywordtype">void</span> printAccessory();</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;};</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="ttc" id="classAccessoryMotorTwoWays_html_aa5e9ffb5bd1d4c97bc0192c229a70df3"><div class="ttname"><a href="classAccessoryMotorTwoWays.html#aa5e9ffb5bd1d4c97bc0192c229a70df3">AccessoryMotorTwoWays::MoveToggle</a></div><div class="ttdeci">ACC_STATE MoveToggle(unsigned long inDuration = 0, int inSpeed = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotorTwoWays_8cpp_source.html#l00018">AccessoryMotorTwoWays.cpp:18</a></div></div>
<div class="ttc" id="classPort_html"><div class="ttname"><a href="classPort.html">Port</a></div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00061">Port.hpp:61</a></div></div>
<div class="ttc" id="classAccessoryMotorTwoWays_html_a648884730c77592674b704e9864d77b0"><div class="ttname"><a href="classAccessoryMotorTwoWays.html#a648884730c77592674b704e9864d77b0">AccessoryMotorTwoWays::beginTwoWays</a></div><div class="ttdeci">void beginTwoWays(Port *inpPort, unsigned long inIdRight, unsigned long inIdLeft, int inSpeed, unsigned long inDurationMilli = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotorTwoWays_8cpp_source.html#l00012">AccessoryMotorTwoWays.cpp:12</a></div></div>
<div class="ttc" id="classAccessoryMotorTwoWays_html_a2802d3af6a0c62bc6bac4864e569185d"><div class="ttname"><a href="classAccessoryMotorTwoWays.html#a2802d3af6a0c62bc6bac4864e569185d">AccessoryMotorTwoWays::AccessoryMotorTwoWays</a></div><div class="ttdeci">AccessoryMotorTwoWays()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotorTwoWays_8hpp_source.html#l00016">AccessoryMotorTwoWays.hpp:16</a></div></div>
<div class="ttc" id="classAccessoryMotor_html"><div class="ttname"><a href="classAccessoryMotor.html">AccessoryMotor</a></div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotor_8hpp_source.html#l00033">AccessoryMotor.hpp:33</a></div></div>
<div class="ttc" id="classAccessoryMotorTwoWays_html"><div class="ttname"><a href="classAccessoryMotorTwoWays.html">AccessoryMotorTwoWays</a></div><div class="ttdef"><b>Definition:</b> <a href="AccessoryMotorTwoWays_8hpp_source.html#l00012">AccessoryMotorTwoWays.hpp:12</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>AccessoryMotorTwoWays.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
